# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [v1.0.0] - 2024-09-16

### Added

- Create a queues API to enable listing queue size and emptying queues

### Fixed

- Removed child dependencies from requirements file

### Changed

- Refactored queue listening

## [v0.1.0] - 2023-03-24

### Added

Create a mechanism to exchange messages between multiple clients

Bus

- Implements persistent queues per client
- Implements publish/subscribe message flow between clients
- Implements broadcast message flow between clients
- Listens for and responds to add/remove clients

API 

- Implements clients endpoint to manage clients and subscriptions
- Implements token endpoint to manage authentication client credentials grants
- Implements send endpoint for publishing
- Implements notify endpoint for broadcasts
- Implements receive endpoint to get messages

Docker 

- Run local dev environment in docker-compose

[unreleased]: https://git.noc.ac.uk/communications-backbone-system/communications-backbone/compare/v1.0.0...dev
[v1.0.0]: https://git.noc.ac.uk/communications-backbone-system/communications-backbone/compare/v0.1.0...v1.0.0
[v0.1.0]: https://git.noc.ac.uk/communications-backbone-system/communications-backbone/compare/611d9cab...v0.1.0
